#!/usr/bin/python
# -*- coding: utf-8 -*-

import cv

quelle = cv.LoadImage("Images/apple.JPG")

threshold = 120
maxValue = 255

colorThresh = cv.CloneImage(quelle)
grau = cv.CreateImage( (quelle.width, quelle.height), cv.IPL_DEPTH_8U, 1 );
cv.CvtColor(quelle, grau, cv.CV_BGR2GRAY)
grauThresh = cv.CloneImage(grau)
cv.NamedWindow("Quelle", 1)
cv.ShowImage("Quelle", quelle)
cv.NamedWindow("Grau", 1)
cv.ShowImage("Grau", grau)
cv.Threshold(quelle, colorThresh, threshold, maxValue, cv.CV_THRESH_BINARY)
cv.Threshold(grau, grauThresh, threshold, maxValue, cv.CV_THRESH_BINARY)
cv.NamedWindow("colorThresh", 1)
cv.ShowImage("colorThresh", colorThresh)
cv.NamedWindow("grauThresh", 1); 
cv.ShowImage("grauThresh", grauThresh)
cv.WaitKey(0)
cv.DestroyWindow("Quelle")
cv.DestroyWindow("colorThresh")
cv.DestroyWindow("Grau")
cv.DestroyWindow("grauThresh")
